#!/bin/bash

	sleep 1
        #Setting GPIO pins
        echo -e "\033[1mSetting GPIO pins...\033[0m"
        for PINNUM in 101 13 205 12 203 11 2 10
        do
                if [ ! -e /sys/class/gpio/gpio$PINNUM ]; then
                        echo "$PINNUM" > /sys/class/gpio/export
                fi
        done

        for PININPUT in 13 12 11 10
        do
                echo "in" > /sys/class/gpio/gpio$PININPUT/direction
        done

        for PINOUTPUT in 101 205 203 2
        do
                echo "out" > /sys/class/gpio/gpio$PINOUTPUT/direction
        done

        #Test
        echo -e "\033[1mTesting...\033[0m"
        echo 0 > /sys/class/gpio/gpio101/value
        sleep 0.5
        bInvalue4=$(cat /sys/class/gpio/gpio13/value)

        echo 0 > /sys/class/gpio/gpio205/value
        sleep 0.5
        bInvalue3=$(cat /sys/class/gpio/gpio12/value)

        echo 0 > /sys/class/gpio/gpio203/value
        sleep 0.5
        bInvalue2=$(cat /sys/class/gpio/gpio11/value)

        echo 0 > /sys/class/gpio/gpio2/value
        sleep 0.5
        bInvalue1=$(cat /sys/class/gpio/gpio10/value)
        
        if [ "$bInvalue1" == "0" ]; then
                echo -e "\033[1;34mGPI_2 and GPO_10 are workable.\033[0m"
        else
                echo -e "\033[1;31mGPI_2 and GPO_10 are not workable.\033[0m"
        fi

	if [ "$bInvalue2" == "0" ]; then
                echo -e "\033[1;34mGPI_16 and GPO_11 are workable.\033[0m"
        else
                echo -e "\033[1;31mGPI_16 and GPO_11 are not workable.\033[0m"
        fi

	if [ "$bInvalue3" == "0" ]; then
                echo -e "\033[1;34mGPI_18 and GPO_12 are workable.\033[0m"
        else
                echo -e "\033[1;31mGPI_18 and GPO_12 are not workable.\033[0m"
        fi

	if [ "$bInvalue4" == "0" ]; then
                echo -e "\033[1;34mGPI_19 and GPO_13 are workable.\033[0m"
        else
                echo -e "\033[1;31mGPI_19 and GPO_13 are not workable.\033[0m"
        fi

exit
