echo "Target folder is $1"
echo ""

# Add driver modules
tar jxvf modules.tar.bz2 -C $1/lib/

# Add i2c-tools modules
tar jxvf i2c-tools-3.0.2.tar.bz2 -C $1/usr/local/

# Add CAN Utilities
tar jxvf CAN_utils.tar.bz2 -C $1/usr/bin/

# For UART2 output
rm $1/etc/init/ttymxc0.conf
cp rootfs_patch/ttymxc1.conf $1/etc/init/ttymxc1.conf

# Modify xorg.conf
cp rootfs_patch/xorg.conf $1/etc/X11/xorg.conf

# Modify asound
cp rootfs_patch/asound.conf $1/etc/asound.conf

# Modify rc.local
cp rootfs_patch/rc.local $1/etc/rc.local

# Change imx driver
cp rootfs_patch/imx_drv.so $1/usr/lib/xorg/modules/drivers/imx_drv.so

# Fix Suspend problem
cp rootfs_patch/99video $1/usr/lib/pm-utils/sleep.d/99video

# Replace Timezone to GMT
cp rootfs_patch/GMT $1/etc/localtime

# Add GPIO test script
cp rootfs_patch/gpio_test.sh $1/unit_tests/

# Add WLAN driver
cp rootfs_patch/vt9271.ko $1/lib/modules/2.6.35.3-1129-g691c08a/kernel/drivers/char/
cp rootfs_patch/modules.dep $1/lib/modules/2.6.35.3-1129-g691c08a/
# Do modprobe in board OS
#sudo modprobe vt9271 

# Add Gstreamer plugin (gstlib needed)
if [ -f $1/usr/lib/gstreamer-0.10/libmfw_gst_vpu_dec.so ];then
	cp rootfs_patch/libmfw_gst_vpu_dec.so $1/usr/lib/gstreamer-0.10/
else
	echo cannot find gstlib
fi
